hpp-core: hpp::core::configurationShooter::Uniform Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::configurationShooter::Uniform Class Reference
Configuration Sampling

Uniformly sample with bounds of degrees of freedom. More...

`#include <hpp/core/configuration-shooter/uniform.hh>`

Inheritance diagram for hpp::core::configurationShooter::Uniform:
[legend]
Collaboration diagram for hpp::core::configurationShooter::Uniform:
[legend]

## Public Member Functions
void | sampleExtraDOF (bool sampleExtraDOF)
Public Member Functions inherited from hpp::core::ConfigurationShooter
virtual Configuration_t | shoot () const
| Shoot a random configuration.
virtual void | shoot (Configuration_t &q) const
virtual | ~ConfigurationShooter ()

## Static Public Member Functions
static UniformPtr_t | create (const DevicePtr_t &robot)

## Protected Member Functions
| Uniform (const DevicePtr_t &robot)
void | init (const UniformPtr_t &self)
virtual void | impl_shoot (Configuration_t &q) const
Protected Member Functions inherited from hpp::core::ConfigurationShooter
| ConfigurationShooter ()
void | init (const ConfigurationShooterWkPtr_t &weak)
| Store weak pointer to itself.

## Detailed Description

Uniformly sample with bounds of degrees of freedom.

## Constructor & Destructor Documentation

## ◆ Uniform()

hpp::core::configurationShooter::Uniform::Uniform | ( | const DevicePtr_t & | robot | ) |
| inlineprotected

Uniformly sample configuration space

Note that translation joints have to be bounded.

## Member Function Documentation

## ◆ create()

static UniformPtr_t hpp::core::configurationShooter::Uniform::create | ( | const DevicePtr_t & | robot | ) |
| inlinestatic

## ◆ impl_shoot()

virtual void hpp::core::configurationShooter::Uniform::impl_shoot | ( | Configuration_t & | q | ) | const
| protectedvirtual

Implements hpp::core::ConfigurationShooter.

## ◆ init()

void hpp::core::configurationShooter::Uniform::init | ( | const UniformPtr_t & | self | ) |
| inlineprotected

## ◆ sampleExtraDOF()

void hpp::core::configurationShooter::Uniform::sampleExtraDOF | ( | bool | sampleExtraDOF | ) |
| inline

The documentation for this class was generated from the following file:

- include/hpp/core/configuration-shooter/uniform.hh